"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageScrollView = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const PageScrollView = ({ backgroundColor, contentContainerStyle, children, viewStyle, flatList, ...rest }) => {
    if (flatList)
        return (react_1.default.createElement(react_native_1.FlatList, { renderItem: null, data: [], contentContainerStyle: { flexGrow: 1 }, ListFooterComponentStyle: { flex: 1 }, ListFooterComponent: () => (react_1.default.createElement(react_native_1.View, { style: [viewStyle, !!backgroundColor && { backgroundColor }] }, children)), bounces: false, overScrollMode: 'never', keyboardShouldPersistTaps: 'handled', nestedScrollEnabled: true, ...rest }));
    else
        return (react_1.default.createElement(react_native_1.ScrollView, { bounces: false, overScrollMode: 'never', keyboardShouldPersistTaps: 'handled', contentContainerStyle: [styles.container, contentContainerStyle], nestedScrollEnabled: true, ...rest },
            react_1.default.createElement(react_native_1.View, { style: [styles.view, viewStyle, !!backgroundColor && { backgroundColor }] }, children)));
};
exports.PageScrollView = PageScrollView;
const styles = react_native_1.StyleSheet.create({
    container: {
        // https://github.com/facebook/react-native/issues/4099#issuecomment-307541206
        // If using flex: 1, the screen would fill everything as intended, but the scroll
        // wouldn't work.
        flexGrow: 1,
    },
    view: {
        flex: 1,
    },
});
//# sourceMappingURL=index.js.map